fop 2.3

## org.apache.fop.fonts
Class DefaultFontConfig.Directory

    java.lang.Object
      org.apache.fop.fonts.DefaultFontConfig.Directory

Enclosing class:
  DefaultFontConfig

    public static final class DefaultFontConfig.Directory

extends java.lang.Object

The directory to find fonts within.

Method Summary
`java.lang.String` `getDirectory()` Returns a String representing the directory to find fonts within.
`boolean` `isRecursive()` Returns whether or not to recurse through the directory when finding fonts.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDirectory

    public java.lang.String getDirectory()

  Returns a String representing the directory to find fonts within.

  Returns:
    the directory

### isRecursive

    public boolean isRecursive()

  Returns whether or not to recurse through the directory when finding fonts.

  Returns:
    true to recurse through the directory and sub-directories

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.